Subject: [PATCH 1/2] arm64: juno: Add APB registers and LEDs using syscon

From: [email-masked] (Jon Medhurst (Tixy))
Date: Mon, 09 Mar 2015 16:17:57 +0000

On Mon, 2015-03-09 at 10:31 +0000, Sudeep Holla wrote:
> 
> On 27/02/15 14:06, Liviu Dudau wrote:
> > On Fri, Feb 27, 2015 at 01:07:42PM +0000, Linus Walleij wrote:
> >> On Wed, Feb 25, 2015 at 4:11 PM, Liviu Dudau <[email-masked]> wrote:
> 
> [...]
> 
> > I'm mostly on your side, Linus, I was just looking for more use cases. Like I've said,
> > most of our customers seem to keep the case closed (or at least that is what they tell
> > us :) ) so I'm looking for explanations on how you use the LEDs (visual debugging for
> > big-LITTLE was how Lorenzo was using them on TC2 for example).
> >
> 
> Just to clarify:
> 
> IIUC all VExpress platforms has these LEDs on the motherboard. The one
> you are referring is on the TC2 core-tile which are completely
> controlled by the firmware. The main advantage of that was to know if
> the OSPM request is accepted by the firmware.
> 
> But the LEDs being referred here are under OS control and gives only the
> OS view of the state which is good enough but not exactly what we had on
> TC2.

Well, when a TC2 CoreTile is plugged into the Versatile Express
motherboard you get those LEDs as well and can see what the OS thinks is
the state of the CPU's. I've found this useful in the past for debugging
problems caused by a mismatch between the OS's and firmware's view of
the world.

-- 
Tixy